[Forgot Password]
Login  Register Subscribe

23631

 
 

126941

 
 

98250

 
 

909

 
 

79281

 
 

109

Paid content will be excluded from the download.


Download | Alert*
CVE
view XML

CVE-2010-0010

Date: (C)2010-02-02   (M)2017-12-06 


Integer overflow in the ap_proxy_send_fb function in proxy/proxy_util.c in mod_proxy in the Apache HTTP Server before 1.3.42 on 64-bit platforms allows remote origin servers to cause a denial of service (daemon crash) or possibly execute arbitrary code via a large chunk size that triggers a heap-based buffer overflow.

CVSS Score: 6.8Access Vector: NETWORK
Exploit Score: 8.6Access Complexity: MEDIUM
Impact Score: 6.4Authentication: NONE
 Confidentiality: PARTIAL
 Integrity: PARTIAL
 Availability: PARTIAL





Reference:
SECTRACK-1023533
http://www.securityfocus.com/archive/1/archive/1/509185/100/0/threaded
BID-37966
SECUNIA-38319
SECUNIA-39656
ADV-2010-0240
ADV-2010-1001
HPSBOV02683
SSRT090208
SUSE-SR:2010:010
http://blog.pi3.com.pl/?p=69
http://httpd.apache.org/dev/dist/CHANGES_1.3.42
http://packetstormsecurity.org/1001-exploits/modproxy-overflow.txt
http://site.pi3.com.pl/adv/mod_proxy.txt
modproxy-approxysendfb-bo(55941)

CPE    45
cpe:/a:apache:http_server:0.8.11
cpe:/a:apache:http_server:0.8.14
cpe:/a:apache:http_server:1.3.32
cpe:/a:apache:http_server:1.3.10
...
CWE    1
CWE-189
OVAL    1
oval:org.mitre.oval:def:7923

© 2013 SecPod Technologies